



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>JAVA的免费天气api接口调用示例</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">JAVA的免费天气api接口调用示例</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-26 05:24:47 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>step1:选择本文所示例的接口"免费天气api" url:https://www.juhe.cn/docs/api/id/39/aid/87</p>
<p>step2:每个接口都需要传入一个参数key,相当于用户的令牌,所以第一步你需要申请一个key</p>
<p>step3:看文档!!!学过java的同学们都知道,当我们对一个类或者方法不明白其意图和思想时,我们可以去查看文档,这里也不例外,而且对于英文不是特别好的同学来说很幸运的是,聚合网站上的文档都是中文版本的,比起阅读java源码里的英文文档应该轻松很多.</p>
<p>全国天气预报接口下面有六个子接口,打开第一个接口链接,看文档发现需要传入一个城市名或者城市ID参数,这个参数我们可以通过第六个子接口获取(接口之间参数的调用类似于java中方法之间的调用),即支持城市列表获取.所以示例中我们先调用这个接口.调用接口涉及到请求网络资源的问题,这里我封装了一个工具类,包含GET和POST两种方法</p>
<p>step4:上代码</p>
<p>Demo1:网络访问工具类(封装get和post方法)</p>
<div>
<ol><li>package&nbsp;juheAPI;</li>
<li>import&nbsp;java.io.BufferedReader;</li>
<li>import&nbsp;java.io.BufferedWriter;</li>
<li>import&nbsp;java.io.InputStream;</li>
<li>import&nbsp;java.io.InputStreamReader;</li>
<li>import&nbsp;java.io.OutputStream;</li>
<li>import&nbsp;java.io.OutputStreamWriter;</li>
<li>import&nbsp;java.net.HttpURLConnection;</li>
<li>import&nbsp;java.net.URL;</li>
<li>import&nbsp;java.util.Map;</li>
<li>/**</li>
<li>*&nbsp;网络访问工具类</li>
<li>*&nbsp;@author&nbsp;silk</li>
<li>*</li>
<li>*/</li>
<li>public&nbsp;class&nbsp;PureNetUtil&nbsp;{</li>
<li>/**</li>
<li>*&nbsp;get方法直接调用post方法</li>
<li>*&nbsp;@param&nbsp;url&nbsp;网络地址</li>
<li>*&nbsp;@return&nbsp;返回网络数据</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;get(String&nbsp;url){</li>
<li>return&nbsp;post(url,null);</li>
<li>}</li>
<li>/**</li>
<li>*&nbsp;设定post方法获取网络资源,如果参数为null,实际上设定为get方法</li>
<li>*&nbsp;@param&nbsp;url&nbsp;网络地址</li>
<li>*&nbsp;@param&nbsp;param&nbsp;请求参数键值对</li>
<li>*&nbsp;@return&nbsp;返回读取数据</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;&lt;K,&nbsp;V&gt;&nbsp;String&nbsp;post(String&nbsp;&nbsp;url,Map&lt;K,V&gt;&nbsp;&nbsp;&nbsp;param){</li>
<li>HttpURLConnection&nbsp;conn=null;</li>
<li>try&nbsp;{</li>
<li>URL&nbsp;u=new&nbsp;URL(url);</li>
<li>conn=(HttpURLConnection)&nbsp;u.openConnection();</li>
<li>StringBuffer&nbsp;sb=null;</li>
<li>if(param!=null){//如果请求参数不为空</li>
<li>sb=new&nbsp;StringBuffer();</li>
<li>/*A&nbsp;URL&nbsp;connection&nbsp;can&nbsp;be&nbsp;used&nbsp;for&nbsp;input&nbsp;and/or&nbsp;output.&nbsp;&nbsp;Set&nbsp;the&nbsp;DoOutput</li>
<li>*&nbsp;flag&nbsp;to&nbsp;true&nbsp;if&nbsp;you&nbsp;intend&nbsp;to&nbsp;use&nbsp;the&nbsp;URL&nbsp;connection&nbsp;for&nbsp;output,</li>
<li>*&nbsp;false&nbsp;if&nbsp;not.&nbsp;&nbsp;The&nbsp;default&nbsp;is&nbsp;false.*/</li>
<li>//默认为false,post方法需要写入参数,设定true</li>
<li>conn.setDoOutput(true);</li>
<li>//设定post方法,默认get</li>
<li>conn.setRequestMethod("POST");</li>
<li>//获得输出流</li>
<li>OutputStream&nbsp;out=conn.getOutputStream();</li>
<li>//对输出流封装成高级输出流</li>
<li>BufferedWriter&nbsp;writer=new&nbsp;BufferedWriter(new&nbsp;OutputStreamWriter(out));</li>
<li>//将参数封装成键值对的形式</li>
<li>for(Map.Entry&nbsp;s:param.entrySet()){</li>
<li>sb.append(s.getKey()).append("=").append(s.getValue()).append("&amp;");</li>
<li>}</li>
<li>//将参数通过输出流写入</li>
<li>writer.write(sb.deleteCharAt(sb.toString().length()-1).toString());</li>
<li>writer.close();//一定要关闭,不然可能出现参数不全的错误</li>
<li>sb=null;</li>
<li>}</li>
<li>conn.connect();//建立连接</li>
<li>sb=new&nbsp;StringBuffer();</li>
<li>//获取连接状态码</li>
<li>int&nbsp;recode=conn.getResponseCode();</li>
<li>BufferedReader&nbsp;reader=null;</li>
<li>if(recode==200){</li>
<li>//Returns&nbsp;an&nbsp;input&nbsp;stream&nbsp;that&nbsp;reads&nbsp;from&nbsp;this&nbsp;open&nbsp;connection</li>
<li>//从连接中获取输入流</li>
<li>InputStream&nbsp;in=conn.getInputStream();</li>
<li>//对输入流进行封装</li>
<li>reader=new&nbsp;BufferedReader(new&nbsp;InputStreamReader(in));</li>
<li>String&nbsp;str=null;</li>
<li>sb=new&nbsp;StringBuffer();</li>
<li>//从输入流中读取数据</li>
<li>while((str=reader.readLine())!=null){</li>
<li>sb.append(str).append(System.getProperty("line.separator"));</li>
<li>}</li>
<li>//关闭输入流</li>
<li>reader.close();</li>
<li>if&nbsp;(sb.toString().length()&nbsp;==&nbsp;0)&nbsp;{</li>
<li>return&nbsp;null;</li>
<li>}</li>
<li>return&nbsp;sb.toString().substring(0,</li>
<li>sb.toString().length()&nbsp;-&nbsp;System.getProperty("line.separator").length());</li>
<li>}</li>
<li>}&nbsp;catch&nbsp;(Exception&nbsp;e)&nbsp;{</li>
<li>e.printStackTrace();</li>
<li>return&nbsp;null;</li>
<li>}finally{</li>
<li>if(conn!=null)//关闭连接</li>
<li>conn.disconnect();</li>
<li>}</li>
<li>return&nbsp;null;</li>
<li>}</li>
<li>}</li></ol>
</div>
<p>Demo2:调用获取城市列表接口示例</p>
<div>
<ol><li>package&nbsp;juheAPI;</li>
<li>import&nbsp;net.sf.json.JSONArray;</li>
<li>import&nbsp;net.sf.json.JSONObject;</li>
<li>/**</li>
<li>*&nbsp;获取城市列表</li>
<li>*&nbsp;全国天气预报接口调用JAVA示例</li>
<li>*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;dtype&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;string&nbsp;&nbsp;&nbsp;&nbsp;N&nbsp;&nbsp;&nbsp;&nbsp;返回数据格式：json或xml,默认json</li>
<li>*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;key&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;string&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y&nbsp;&nbsp;&nbsp;&nbsp;你申请的key</li>
<li>*&nbsp;@author&nbsp;silk</li>
<li>*</li>
<li>*/</li>
<li>public&nbsp;class&nbsp;GetCityList&nbsp;{</li>
<li>/**</li>
<li>*&nbsp;调用获取城市列表接口,返回所有数据</li>
<li>*&nbsp;@return&nbsp;返回接口数据</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;excute(){</li>
<li>String&nbsp;url="http://v.juhe.cn/weather/citys?key=***a7558b2e0bedaa19673f74a6809ce";//接口URL</li>
<li>//PureNetUtil是一个封装了get和post方法获取网络请求数据的工具类</li>
<li>return&nbsp;PureNetUtil.get(url);//使用get方法</li>
<li>}</li>
<li>/**</li>
<li>*&nbsp;调用接口返回数据后,解析数据,根据输入城市名得到对应ID</li>
<li>*&nbsp;@param&nbsp;cityName&nbsp;城市名称</li>
<li>*&nbsp;@return&nbsp;返回对应ID</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;getIDBycityName(String&nbsp;cityName)&nbsp;{</li>
<li>String&nbsp;result=excute();//返回接口结果,得到json格式数据</li>
<li>if(result!=null){</li>
<li>JSONObject&nbsp;obj=JSONObject.fromObject(result);</li>
<li>result=obj.getString("resultcode");//得到返回状态码</li>
<li>if(result!=null&amp;&amp;result.equals("200")){//200表示成功返回数据</li>
<li>result=obj.getString("result");//得到城市列表的json格式字符串数组</li>
<li>JSONArray&nbsp;arr=JSONArray.fromObject(result);</li>
<li>for(Object&nbsp;o:arr){//对arr进行遍历</li>
<li>//将数组中的一个json个数字符串进行解析</li>
<li>obj=JSONObject.fromObject(o.toString());</li>
<li>/*此时obj如&nbsp;{"id":"2","province":"北京","city":"北京","district":"海淀"}*/</li>
<li>//以city这个key为线索判断所需要寻找的这条记录</li>
<li>result=obj.getString("district");</li>
<li>//防止输入城市名不全,如苏州市输入为苏州,类似与模糊查询</li>
<li>if(result.equals(cityName)||result.contains(cityName)){</li>
<li>result=obj.getString("id");//得到ID</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>}</li>
<li>}</li>
<li>}</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>public&nbsp;static&nbsp;void&nbsp;main(String[]&nbsp;args)&nbsp;{</li>
<li>System.out.println(getIDBycityName("香港"));</li>
<li>}</li>
<li>}</li></ol>
</div>
<p>Demo3:调用根据城市名/id查询天气</p>
<div>
<ol><li>package&nbsp;juheAPI;</li>
<li>import&nbsp;net.sf.json.JSONObject;</li>
<li>/**</li>
<li>*&nbsp;根据城市名/id查询天气</li>
<li>*&nbsp;@author&nbsp;silk</li>
<li>*</li>
<li>*/</li>
<li>public&nbsp;class&nbsp;WeatherReportByCity&nbsp;{</li>
<li>/**</li>
<li>*&nbsp;根据城市名获取</li>
<li>*&nbsp;@param&nbsp;cityName</li>
<li>*&nbsp;@return</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;excute(String&nbsp;cityName){</li>
<li>String&nbsp;url=//此处以返回json格式数据示例,所以format=2,以根据城市名称为例,cityName传入中文</li>
<li>"http://v.juhe.cn/weather/index?cityname="+cityName+"&amp;key=***a7558b2e0bedaa19673f74a6809ce";</li>
<li>return&nbsp;PureNetUtil.get(url);//通过工具类获取返回数据</li>
<li>}</li>
<li>/**</li>
<li>*&nbsp;获取返回数据中的一个属性示例,此处以获取今日温度为例</li>
<li>*&nbsp;"temperature":&nbsp;"8℃~20℃"&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;今日温度</li>
<li>*&nbsp;@param&nbsp;args</li>
<li>*&nbsp;@return</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;GetTodayTemperatureByCity(String&nbsp;city)&nbsp;{</li>
<li>String&nbsp;result=excute(city);</li>
<li>if(result!=null){</li>
<li>JSONObject&nbsp;obj=JSONObject.fromObject(result);</li>
<li>/*获取返回状态码*/</li>
<li>result=obj.getString("resultcode");</li>
<li>/*如果状态码是200说明返回数据成功*/</li>
<li>if(result!=null&amp;&amp;result.equals("200")){</li>
<li>result=obj.getString("result");</li>
<li>//此时result中数据有多个key,可以对其key进行遍历,得到对个属性</li>
<li>obj=JSONObject.fromObject(result);</li>
<li>//今日温度对应的key是today</li>
<li>result=obj.getString("today");</li>
<li>obj=JSONObject.fromObject(result);</li>
<li>//今日温度对应当key是temperature</li>
<li>result=obj.getString("temperature");</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>}</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>public&nbsp;static&nbsp;void&nbsp;main(String[]&nbsp;args)&nbsp;{</li>
<li>System.out.println(GetTodayTemperatureByCity("苏州"));</li>
<li>}</li>
<li>}</li></ol>
</div>
<p>Demo4:调用天气种类及表示列表接口示例</p>
<div>
<ol><li>package&nbsp;juheAPI;</li>
<li>import&nbsp;net.sf.json.JSONArray;</li>
<li>import&nbsp;net.sf.json.JSONObject;</li>
<li>/**</li>
<li>*&nbsp;天气种类及标识列表接口调用JAVA示例</li>
<li>*&nbsp;@author&nbsp;silk</li>
<li>*/</li>
<li>public&nbsp;class&nbsp;GetWeatherSignAndTypeList&nbsp;{</li>
<li>//接口地址,因为只需要传入一个固定的key为参数,所以设为常量</li>
<li>private&nbsp;static&nbsp;final&nbsp;String&nbsp;URL=&nbsp;"http://v.juhe.cn/weather/uni?key=***a7558b2e0bedaa19673f74a6809ce";</li>
<li>/**</li>
<li>*&nbsp;通过工具类获取数据</li>
<li>*&nbsp;@return</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;excute(){</li>
<li>return&nbsp;PureNetUtil.get(URL);//调用工具类获取接口数据</li>
<li>}</li>
<li>/**</li>
<li>*&nbsp;利用遍历数组的方式获取</li>
<li>*&nbsp;@param&nbsp;wid天气对应id</li>
<li>*&nbsp;@return&nbsp;天气名称</li>
<li>*/</li>
<li>public&nbsp;static&nbsp;String&nbsp;getWeatherByWid(String&nbsp;wid)&nbsp;{</li>
<li>String&nbsp;result=excute();//获取接口数据</li>
<li>if(result!=null){</li>
<li>JSONObject&nbsp;obj=JSONObject.fromObject(result);</li>
<li>result=obj.getString("resultcode");</li>
<li>/*获取返回状态码*/</li>
<li>if(result!=null&amp;&amp;result.equals("200")){</li>
<li>/*获取数组数据*/</li>
<li>result=obj.getString("result");</li>
<li>JSONArray&nbsp;arr=JSONArray.fromObject(result);</li>
<li>for(Object&nbsp;o:arr){//遍历数组</li>
<li>obj=JSONObject.fromObject(o.toString());</li>
<li>//如果遍历到需要的数据后直接返回结果,根据key(wid)得到value判断是否等于传入参数</li>
<li>if(obj.getString("wid").equals(wid)){</li>
<li>result=obj.getString("weather");</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>}</li>
<li>}</li>
<li>}</li>
<li>return&nbsp;result;</li>
<li>}</li>
<li>public&nbsp;static&nbsp;void&nbsp;main(String[]&nbsp;args)&nbsp;{</li>
<li>System.out.println(getWeatherByWid("10"));</li>
<li>}</li>
<li>}</li></ol>
</div>
<p>step5:调用接口时候如果状态码不是200,仔细参考文档说明,也就是返回step3:看文档!</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4qnjprj8.html">从源代码构建 Go 开发环境</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq16x128.html">1-Recyclerview使用系列之Recyclerview的列表数据显示</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96v2xn8.html">AOP这些应用场景&lpar;交叉业务&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y4413q.html">Sqli-labs less 18</a>
		</li>
						<li><a href="https://www.batexi.com/a/90v105o8.html">九度OJ 1532 棋盘寻宝扩展 -- 动态规划【背包问题】</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wrnwxq.html">使用kd-tree加速k-means</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv152wjq.html">&lbrack;译&rsqb;Stairway to Integration Services  Level 3 - 增量导入数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz1krg8.html">Integer&period;parseInt&lpar;String s&comma; int radix&rpar;方法介绍（修正版）</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pgy1n8.html">ThinkPHP模板IF标签用法详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjp1dx8.html">JavaScript&mdash;var lef const区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwpkg79.html">Java IO、NIO、AIO知识总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4wy7m9.html">HyperLogLog 算法的原理讲解以及 Redis 是如何应用它的</a>
		</li>
						<li><a href="https://www.batexi.com/a/960nxln9.html">Centos7配置JAVA&lowbar;HOME</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r03g28.html">Oracle 表空间和数据文件之间的关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/902vx7nq.html">Java编程的逻辑  &lpar;1&rpar; - 数据和变量</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4p0n10q.html">关于Unity3d的世界空间和本地空间的一点思考</a>
		</li>
						<li><a href="https://www.batexi.com/a/963v0ev9.html">20155321实验二 Java面向对象程序设计</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwozdn39.html">nginx 负载均衡 反向代理</a>
		</li>
						<li><a href="https://www.batexi.com/a/q15d2j69.html">免费的dns服务器（更换dns服务器有时可以解决某些网站（如爱奇艺访问不了的问题））</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r420zr8.html">移动端web开发 浅析</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qy16ml2q.html">S2&lowbar;SQL&lowbar;第五章</a>
			</li>
						<li><a href="https://www.batexi.com/a/950z4vv8.html">Linux系统centOS7在虚拟机下的安装及XShell软件的配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kpk3x59.html">【转】Python正则表达式指南</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jydzw8.html">Layer弹层组件 二次扩展，项目中直接使用。</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gerep08.html">YYHS-手机信号</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1012jq.html">linux&lowbar;base&lowbar;commond&lowbar;one</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kwkl59.html">iOS开发必不可少的76个工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzdz748.html">exp3&period;1实现顺序栈的各种操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd2wy79.html">win10 UWP GET Post</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rgk5om8.html">win10 uwp 使用油墨输入</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
